function c = cllr(tar_llrs, nontar_llrs, prior);

lp = logit(prior);

% target trials 
if ~length(tar_llrs),
    %disp('Warning: Empty target log-LR file.')
    c1=0;
else
    c1 = mean(neglogsigmoid(tar_llrs+lp))/log(2);
end;
  
% non_target trials 
if ~length(nontar_llrs),
    %disp('Warning: Empty non-target log-LR file.')
    c2=0;
else
    c2 = mean(neglogsigmoid(-nontar_llrs-lp))/log(2);
end;

% Cllr
c = prior*c1+(1-prior)*c2;