%% This is an synthetic example of how to use ECE plots.
%% (c) Daniel Ramos. September 2009.
%% 

%% Generation of synthetic data. These are LOG-LIKELIHOOD-RATIOS
%% randomly generated.
%%
%% IMPORTANT: ECE plots software always accept the NATURAL logarithm of likelihood
%% ratios, even when representations are showed in base-10.

%% Synthetic set 1
logLRss1=randn(1,1000)+1;
logLRds1=randn(1,1000)-1;

%% Synthetic set 2
logLRss2=randn(1,1000)*2+1;
logLRds2=randn(1,1000)-0.2;

%% Plotting ECE plots separately
figureS1=ECE_plot_10({'Synthetic set 1',{logLRss1,logLRds1}});
figureS2=ECE_plot_10({'Synthetic set 2',{logLRss2,logLRds2}});

%% Plotting ECE plots together (the axes are commonly scaled)
[figuresHandlesS1S2,figureCommonS1S2]=ECE_plot_10({'Synthetic set 1',{logLRss1,logLRds1}},{'Synthetic set 2',{logLRss2,logLRds2}});

%% Plotting the individual contribution of each LR value to ECE (synthetic
%% set 1)
[figureIndividualSsS1,figureIndividualDsS1]=ECE_plot_individual_contribution_10({'Synthetic set 1',{logLRss1,logLRds1}});
